OpenVDB 5.1.0

Static Public Attributes | List of all members
CopyTraits< T > Struct Template Reference

`#include <NodeUnion.h>`

## Static Public Attributes
static const bool | IsCopyable = false

## Detailed Description

### template<typename T>
struct openvdb::v5_1::tree::CopyTraits< T >

A type T is copyable if

# T stores member values by value (vs. by pointer or reference)

and T's true byte size is given by sizeof(T).

# T has a trivial destructor

# T has a default constructor

# T has an assignment operator

## Member Data Documentation

## ◆ IsCopyable

const bool IsCopyable = false
| static

The documentation for this struct was generated from the following file:

- NodeUnion.h